<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUniversalLineTemplateReq StructType
 * @subpackage Structs
 */
class AddUniversalLineTemplateReq extends APIRequest
{
    /**
     * The universalLineTemplate
     * @var XUniversalLineTemplate
     */
    public $universalLineTemplate;
    /**
     * Constructor method for AddUniversalLineTemplateReq
     * @uses AddUniversalLineTemplateReq::setUniversalLineTemplate()
     * @param XUniversalLineTemplate $universalLineTemplate
     */
    public function __construct(XUniversalLineTemplate $universalLineTemplate = null)
    {
        $this
            ->setUniversalLineTemplate($universalLineTemplate);
    }
    /**
     * Get universalLineTemplate value
     * @return XUniversalLineTemplate|null
     */
    public function getUniversalLineTemplate()
    {
        return $this->universalLineTemplate;
    }
    /**
     * Set universalLineTemplate value
     * @param XUniversalLineTemplate $universalLineTemplate
     * @return AddUniversalLineTemplateReq
     */
    public function setUniversalLineTemplate(XUniversalLineTemplate $universalLineTemplate = null)
    {
        $this->universalLineTemplate = $universalLineTemplate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUniversalLineTemplateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
